local M = {}

local thrust = 0

local thrustFull = 0
local thrustNormal = 0
local thrustStage = 1

local ePressed = false

local function engineBroken()
	if thrustFull == 0 or thrustNormal == 0 then
		return true
	else
		return false
	end
end

M.engineBroken = engineBroken

local function beamBreak(bm)
	if v.data.beams[bm].name == "engineBreak" then
		--break engine :D
		thrustFull = 0
		thrustNormal = 0
	end
end

local function reset()
	thrust = 0
	thrustStage = 1
	thrustFull = 115540
	thrustNormal = 50000
end

local function init() 
	for k,v in pairs(v.data.nodes) do
		if v.name == "f4" then tn1 = v end
		if v.name == "f3" then tn0 = v end
	end
	drivetrain.beamBroke = beamBreak
	reset()
end

local function thrust_get()
return thrust
end

local function thrustType_get()
return thrustStage
end

local function update()
		if input.keys["E"] then
			if ePressed == false then
				thrustStage = thrustStage + 1
				if thrustStage > 2 then thrustStage = 1 end
				ePressed = true
			end
		else
			ePressed = false
		end
		
		if input.keys["T"] then
			thrust = thrust + 0.0004
		end
		if input.keys["G"] then
			thrust = thrust - 0.0004
		end
		--print(thrust)
		
		if thrustFull == 0 or thrustNormal == 0 then
			--NOPE :D
			thrust = 0
		end
		
		if thrust > 1 then thrust = 1 end if thrust < 0 then thrust = 0 end
		
		if thrustStage == 1 then
			obj:applyForce(tn1.cid,tn0.cid, thrustNormal * thrust)
		else
			obj:applyForce(tn1.cid,tn0.cid, thrustFull * thrust)
			obj:addParticleByNodesRelative(tn1.cid, tn0.cid, -15, 1, 1, 10  * thrust)
			obj:addParticleByNodesRelative(tn1.cid, tn0.cid, -30, 6, 0.1, 10  * thrust)
		end
end

local function updateGFX()

end

M.update = update
M.updateGFX = updateGFX
M.init = init
M.reset = reset
M.thrust = thrust_get
M.thrustType = thrustType_get
return M