-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local b_alt = 0

local vsi_e = nil

local function onInit()
	electrics.values['vsi'] = 0
	b_alt = electrics.values['altitude']
	
	vsi_e = newExponentialSmoothing(7)
	
end

local function onReset()
	onInit()
end

local function updateGFX(dt)

	if b_alt ~= nil then
		electrics.values['vsi'] = (electrics.values['altitude']-b_alt)/dt*60*3.28
		b_alt = electrics.values['altitude']
		electrics.values['vsi'] = vsi_e:get(electrics.values['vsi'])
	else
		b_alt = 0
	end

end

-- public interface
M.onInit      = onInit
M.onReset     = onReset
M.updateGFX = updateGFX

return M